@charset "utf-8";
/* CSS Document */

body, html {
    height: 100%;
    font-family: "Roboto", Helvetica, Arial, sans-serif;
    font-weight: 300;
    font-size: 16px;
}

* {
    box-sizing: border-box;
}

img {
    display: block;
    width: 100%;
}

.background {
    /* Add the blur effect */
    filter: blur(20px);
    -webkit-filter: blur(20px);

    position: fixed;
    height: 104%;
    width: 104%;
    top: -2%;
    left: -2%;

    /* Center and scale the image nicely */
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.darken {
    position: fixed;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 2;
    top: 0;
    left: 0;
}

.content {
    background-color: white;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 3;
    width: 350px;
    text-align: center;
}

.logo {
    background-color: #181818;
}

.title, .viewall {
    background-color: #181818;
    color: white;
    font-size: 1.25em;
}

.title {
    padding: 0.4em 1.25em;
}

.title p {
    margin: 0.4em;
}

.title .album_artist {
    font-weight: 600;
}

.title .album_title {
    font-size: 0.9em;
}

.viewall {
    padding: 1.25em;
}

.link {
    height: 4em;
    border-bottom: 1px solid #d8d8d8;
    position: relative;
    text-align: left;
}

.link:hover {
    background-color: #e8e8e8;
}

.link a {
    display: inline-block;
    width: 100%;
    height: 100%;
}

.link-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 1em;
}

.link-source img {
    max-width: 50%;
    max-height: 100%;
    vertical-align: middle;
    padding: 0.7em 0;
    margin-left: -0.2em;
}

.link-button, .viewall a {
    text-decoration: none;
    border-radius: 0.5em;
    padding: 0.5em 0.7em;
}

.link-button {
    color: grey;
    border: 1px solid grey;
}

.link:hover .link-button, .viewall a:hover {
    color: black;
    background: #4fff00;
    border-color: #181818;
}

.viewall a {
    color: white;
    border: 1px solid white;
}

@media only screen and (max-device-width: 1024px) {
    body {
        font-size: 22px;
    }

    .content {
        width: 45%;
    }
}

@media only screen and (max-device-width: 700px) {
    body {
        font-size: 40px;
    }

    .content {
        width: 100%;
    }
}